
Redmine - Defect #15555

REST API PUT/PUSH has stopped working from Android App 

2013-11-27 08:23 - Deepak Sindhu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

Rest Api Push/Put has stopped working from android app - tested with other android apps available on google store as well.

Redmine version : 2.3.1

Android - 2.3

upgraded to latest redmine 2.4.1, still not working.

Log:

Processing by IssueStatusesController#index as JSON

Parameters: {"limit"=>"25", "offset"=>"0", "key"=>"5511f63668a78e010149919a886                                                         

5eb431949cfac"}

Current user: admin (id=1)

Rendered issue_statuses/index.api.rsb (0.6ms)

Completed 200 OK in 4.2ms (Views: 1.0ms | ActiveRecord: 0.3ms)

Started GET "/projects/1/versions.json?key=5511f63668a78e010149919a8865eb431949c                                                          fac"

for 10.208.209.210 at 2013-11-26 05:22:20 +0100

Processing by VersionsController#index as JSON

Parameters: {"key"=>"5511f63668a78e010149919a8865eb431949cfac", "project_id"=>                                                          "1"}

Current user: admin (id=1)

Rendered versions/index.api.rsb (0.2ms)

Completed 200 OK in 8.2ms (Views: 0.7ms | ActiveRecord: 0.7ms)

Started PUT "/issues/4.json?key=5511f63668a78e010149919a8865eb431949cfac" for 10                                                         

.208.209.210 at 2013-11-26 05:22:34 +0100

Processing by IssuesController#update as JSON

Parameters: {"issue"=>{"id"=>4, "subject"=>"Bug1 jmbjjgm", "priority_id"=>5, "                                                          done_ratio"=>0,

"author_id"=>1, "start_date"=>"2013/11/25 00:00:00 +0000", "trac                                                          ker_id"=>1,

"description"=>"bug1", "created_on"=>"2013/11/25 05:07:31 +0000", "u                                                         

pdated_on"=>"2013/11/25 05:07:31 +0000", "status_id"=>2, "notes"=>""}, "key"=>"5                                                         

511f63668a78e010149919a8865eb431949cfac", "id"=>"4"}

Current user: admin (id=1)

Rendered common/error_messages.api.rsb (0.2ms)

Completed 422 Unprocessable Entity in 41.6ms (Views: 0.8ms | ActiveRecord: 1.8ms

History

#1 - 2013-11-29 00:29 - Jean-Philippe Lang

- Status changed from New to Needs feedback

2.4.1 is working for me, could you post the server response and/or the log with log level set to debug?

#2 - 2013-11-29 09:01 - Deepak Sindhu

Hi,

Problem was from android side. Fixed now. Thank you.

Please mark the issue fixed.

Thank you.
#3 - 2013-11-29 21:07 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Resolved

- Resolution set to Cant reproduce

#4 - 2013-11-29 22:08 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid

Thanks for the feedback.
